Knowledgebase:
Chrome Extension Requirements
Posted by , Last modified by Abby Corre on 27 December 2020 08:33 AM

 

System

Requirements

Operating System

Windows 8.1, 10, 32bit (x86) and 64bit (x64)

Mac OS X 10.13 and higher (Reminder: Mac OS X 11 Big Sur is not yet supported) [Devices updated from MAC OS Catalina to Big Sur should be compatible]

*IMPORTANT* Apple devices released in late 2020 have new M1 processors that have not been certified by PSI, thus are not currently supported. Please monitor this site for further updates.

Chrome

The latest version of Chrome

 


Comments (0)